export default {
    globals: {
        lang: {
            es: 'Spanish',
            en: 'English',
        },
        language: 'Language',
        collapseMenu: 'Collapse left menu',
        backToDashboard: 'Return to dashboard',
        notifications: 'Notifications',
        userPanel: 'User panel',
        pinnedModules: 'Pinned modules',
        darkMode: 'Dark mode',
        logOut: 'Log out',
        dataSaved: 'Data saved',
        dataDeleted: 'Data deleted',
        add: 'Add',
        create: 'Create',
        save: 'Save',
        remove: 'Remove',
        reset: 'Reset',
        cancel: 'Cancel',
        confirm: 'Confirm',
        back: 'Back',
        yes: 'Yes',
        no: 'No',
        noChanges: 'No changes to save',
        changesToSave: 'You have changes pending to save',
        confirmRemove: 'You are about to delete this row. Are you sure?',
        rowAdded: 'Row added',
        rowRemoved: 'Row removed',
        pleaseWait: 'Please wait...',
        noPinnedModules: 'You have dont have any pinned modules',
    },
    moduleIndex: {
        allModules: 'All modules',
    },
    errors: {
        statusUnauthorized: 'Access denied',
        statusInternalServerError: 'An internal server error has ocurred',
        statusBadGateway: 'It seems that the server has fall down',
        statusGatewayTimeout: 'Could not contact the server',
    },
    login: {
        title: 'Login',
        username: 'Username',
        password: 'Password',
        submit: 'Log in',
        keepLogin: 'Keep me logged in',
        loginSuccess: 'You have successfully logged in',
        loginError: 'Invalid username or password',
        fieldRequired: 'This field is required',
    },
    dashboard: {
        pageTitles: {
            dashboard: 'Dashboard',
        },
    },
    customer: {
        pageTitles: {
            customers: 'Customers',
            list: 'List',
            createCustomer: 'Create customer',
            summary: 'Summary',
            basicData: 'Basic Data',
        },
        list: {
            phone: 'Phone',
            email: 'Email',
            customerOrders: 'Display customer orders',
            moreOptions: 'More options',
        },
        card: {
            customerList: 'Customer list',
            customerId: 'Claim ID',
            salesPerson: 'Sales person',
            credit: 'Credit',
            securedCredit: 'Secured credit',
            payMethod: 'Pay method',
            debt: 'Debt',
            isDisabled: 'Customer is disabled',
            isFrozen: 'Customer is frozen',
            hasDebt: 'Customer has debt',
            notChecked: 'Customer not checked',
            noWebAccess: 'Web access is disabled',
        },
        summary: {
            basicData: 'Basic data',
            fiscalAddress: 'Fiscal address',
            fiscalData: 'Fiscal data',
            billingData: 'Billing data',
            consignee: 'Consignee',
            businessData: 'Business data',
            financialData: 'Financial data',
            customerId: 'Customer ID',
            name: 'Name',
            contact: 'Contact',
            phone: 'Phone',
            mobile: 'Mobile',
            email: 'Email',
            salesPerson: 'Sales person',
            contactChannel: 'Contact channel',
            socialName: 'Social name',
            fiscalId: 'Fiscal ID',
            postcode: 'Postcode',
            province: 'Province',
            country: 'Country',
            street: 'Address',
            isEqualizated: 'Is equalizated',
            isActive: 'Is active',
            invoiceByAddress: 'Invoice by address',
            verifiedData: 'Verified data',
            hasToInvoice: 'Has to invoice',
            notifyByEmail: 'Notify by email',
            vies: 'VIES',
            payMethod: 'Pay method',
            bankAccount: 'Bank account',
            dueDay: 'Due day',
            hasLcr: 'Has LCR',
            hasCoreVnl: 'Has core VNL',
            hasB2BVnl: 'Has B2B VNL',
            addressName: 'Address name',
            addressCity: 'City',
            addressStreet: 'Street',
            username: 'Username',
            webAccess: 'Web access',
            totalGreuge: 'Total greuge',
            mana: 'Mana',
            priceIncreasingRate: 'Price increasing rate',
            averageInvoiced: 'Average invoiced',
            claimRate: 'Claming rate',
            risk: 'Risk',
            riskInfo: 'Invoices minus payments plus orders not yet invoiced',
            credit: 'Credit',
            creditInfo: `Company's maximum risk`,
            securedCredit: 'Secured credit',
            securedCreditInfo: `Solunion's maximum risk`,
            balance: 'Balance',
            balanceInfo: 'Invoices minus payments',
            balanceDue: 'Balance due',
            balanceDueInfo: 'Deviated invoices minus payments',
            recoverySince: 'Recovery since',
        },
        basicData: {
            socialName: 'Fiscal name',
            businessType: 'Business type',
            contact: 'Contact',
            email: 'Email',
            phone: 'Phone',
            mobile: 'Mobile',
            salesPerson: 'Sales person',
            contactChannel: 'Contact channel',
        },
    },
    ticket: {
        pageTitles: {
            tickets: 'Tickets',
            list: 'List',
            createTicket: 'Create ticket',
            summary: 'Summary',
            basicData: 'Basic Data',
            boxing: 'Boxing',
        },
        list: {
            nickname: 'Nickname',
            state: 'State',
            shipped: 'Shipped',
            landed: 'Landed',
            salesPerson: 'Sales person',
            total: 'Total',
        },
        card: {
            ticketId: 'Ticket ID',
            state: 'State',
            customerId: 'Customer ID',
            salesPerson: 'Sales person',
            agency: 'Agency',
            shipped: 'Shipped',
            warehouse: 'Warehouse',
            customerCard: 'Customer card',
        },
        boxing: {
            expedition: 'Expedition',
            item: 'Item',
            created: 'Created',
            worker: 'Worker',
            selectTime: 'Select time:',
            selectVideo: 'Select video:',
            notFound: 'No videos available',
        },
        summary: {
            state: 'State',
            salesPerson: 'Sales person',
            agency: 'Agency',
            zone: 'Zone',
            warehouse: 'Warehouse',
            route: 'Route',
            invoice: 'Invoice',
            shipped: 'Shipped',
            landed: 'Landed',
            packages: 'Packages',
            consigneePhone: 'Consignee phone',
            consigneeMobile: 'Consignee mobile',
            clientPhone: 'Client phone',
            clientMobile: 'Client mobile',
            consignee: 'Consignee',
            subtotal: 'Subtotal',
            vat: 'VAT',
            total: 'Total',
            saleLines: 'Line items',
            item: 'Item',
            visible: 'Visible',
            available: 'Available',
            quantity: 'Quantity',
            description: 'Description',
            price: 'Price',
            discount: 'Discount',
            amount: 'Amount',
            packing: 'Packing',
            hasComponentLack: 'Component lack',
            itemShortage: 'Not visible',
            claim: 'Claim',
            reserved: 'Reserved',
            created: 'Created',
            package: 'Package',
            taxClass: 'Tax class',
            services: 'Services',
            changeState: 'Change state',
            requester: 'Requester',
            atender: 'Atender',
            request: 'Request',
            goTo: 'Go to',
        },
    },
    claim: {
        pageTitles: {
            claims: 'Claims',
            list: 'List',
            createClaim: 'Create claim',
            rmaList: 'RMA',
            summary: 'Summary',
            basicData: 'Basic Data',
            rma: 'RMA',
        },
        list: {
            customer: 'Customer',
            assignedTo: 'Assigned',
            created: 'Created',
            state: 'State',
        },
        rmaList: {
            code: 'Code',
            records: 'records',
        },
        rma: {
            user: 'User',
            created: 'Created',
        },
        card: {
            claimId: 'Claim ID',
            assignedTo: 'Assigned',
            created: 'Created',
            state: 'State',
            ticketId: 'Ticket ID',
            customerSummary: 'Customer summary',
            claimedTicket: 'Claimed ticket',
        },
        summary: {
            customer: 'Customer',
            assignedTo: 'Assigned',
            attendedBy: 'Attended by',
            created: 'Created',
            state: 'State',
            details: 'Details',
            item: 'Item',
            landed: 'Landed',
            quantity: 'Quantity',
            claimed: 'Claimed',
            description: 'Description',
            price: 'Price',
            discount: 'Discount',
            total: 'Total',
            actions: 'Actions',
            responsibility: 'Responsibility',
            company: 'Company',
            person: 'Employee/Customer',
        },
        basicData: {
            customer: 'Customer',
            assignedTo: 'Assigned',
            created: 'Created',
            state: 'State',
            packages: 'Packages',
            picked: 'Picked',
            returnOfMaterial: 'Return of material authorization (RMA)',
        },
        photo: {
            fileDescription:
                'Reclamacion ID {{claimId}} del cliente {{clientName}} id {{clientId}}',
        },
    },
    invoiceOut: {
        pageTitles: {
            invoiceOuts: 'Invoices Out',
            list: 'List',
            createInvoiceOut: 'Create invoice out',
            summary: 'Summary',
            basicData: 'Basic Data',
        },
        list: {
            ref: 'Reference',
            issued: 'Issued',
            amount: 'Amount',
            client: 'Client',
            created: 'Created',
            company: 'Company',
            dued: 'Due date',
        },
        card: {
            issued: 'Issued',
            amount: 'Amount',
            client: 'Client',
            company: 'Company',
            customerCard: 'Customer card',
            ticketList: 'Ticket List',
        },
        summary: {
            issued: 'Issued',
            created: 'Created',
            dued: 'Due',
            booked: 'Booked',
            company: 'Company',
            taxBreakdown: 'Tax breakdown',
            type: 'Type',
            taxableBase: 'Taxable base',
            rate: 'Rate',
            fee: 'Fee',
            tickets: 'Tickets',
            ticketId: 'Ticket id',
            nickname: 'Alias',
            shipped: 'Shipped',
            totalWithVat: 'Amount',
        },
    },
    components: {
        topbar: {},
        userPanel: {
            settings: 'Settings',
            logOut: 'Log Out',
        },
        smartCard: {
            noData: 'No data to display',
            openCard: 'View card',
            openSummary: 'Open summary',
            viewDescription: 'View description',
        },
        cardDescriptor: {
            mainList: 'Main list',
            summary: 'Summary',
            moreOptions: 'More options',
        },
        leftMenu: {
            addToPinned: 'Add to pinned',
            removeFromPinned: 'Remove from pinned',
        },
    },
};
