import customer from './modules/customer';
import ticket from './modules/ticket';
import claim from './modules/claim';
import invoiceOut from './modules/invoiceOut';

const routes = [
    {
        path: '/login',
        name: 'Login',
        meta: { title: 'logIn' },
        component: () => import('../pages/Login/LoginMain.vue'),
    },
    {
        path: '/',
        name: 'Main',
        component: () => import('../layouts/MainLayout.vue'),
        redirect: { name: 'Dashboard' },
        children: [
            {
                path: '/dashboard',
                name: 'Dashboard',
                meta: { title: 'dashboard', icon: 'dashboard' },
                component: () => import('../pages/Dashboard/DashboardMain.vue'),
            },
            // Module routes
            customer,
            ticket,
            claim,
            invoiceOut,
            {
                path: '/:catchAll(.*)*',
                name: 'NotFound',
                component: () => import('../pages/NotFound.vue'),
            },
        ],
    },
];

export default routes;
